> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions.md).

# All Solutions

Reference documentation for the All Solutions item in the Solution Explorer

## Overview

The All Solutions node in the [Solution Explorer](/reference/servoy-developer/solution-explorer.md#solution-explorer) can be expanded to show each of the existing [solutions](/reference/servoy-developer/solution-explorer/all-solutions/solution.md#overview) in the workspace.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                     | Summary                                                                                                  |
| ------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| [Create new solution](#create-new-solution) | Opens the [New Solution Wizard](/reference/servoy-developer/object-editors/new-solution-wizard.md)       |
| [Publish](#publish)                         | Publish solution Git repository to Servoy Cloud                                                          |
| [Import solution](#import-solution)         | Opens the [Import Solution Wizard](/reference/servoy-developer/object-editors/solution-import-wizard.md) |

## Commands Details

The details for each command available on this item via right-click context menu.

### Create new solution

Opens the [New Solution Wizard](/reference/servoy-developer/object-editors/new-solution-wizard.md).

### Publish

Publish solution Git repository to Servoy Cloud. The local git repository must be in sync with remote repository (no changes).

### Import solution

Opens the [Import Solution Wizard](/reference/servoy-developer/object-editors/solution-import-wizard.md). Can import a solution export (.servoy file from local disk). See also [Export Solution Wizard](/reference/servoy-developer/object-editors/file-export-wizard.md) for how to export solution to .servoy file on disk.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
